try {
  require("./jquery")
} catch (error) {
  console.log(error)
}

$(window).scroll(function () {
  scrollTop = $(window).scrollTop()
  headerTop = $(".headbox").height()

  if (scrollTop > headerTop) {
    $(".headbox").addClass("fixed")
  } else {
    $(".headbox").removeClass('fixed')
  }

  // var $nav = $(".floatingMenu ul li"),
  //   length = $nav.length - 1,//获取导航菜单 ul li 的个数
  //   item = new Array(),//新建一个数组
  //   sTop = $(window).scrollTop();//获取偏移的高度
  // for (var i = 0; i < length; i++) {
  //   if (i == 0) {
  //     item[i + 1] = $(".blockList>div:first-child").offset().top;
  //     if (sTop >= item[i + 1]) {
  //       $nav.eq(i).addClass("selected").siblings("li").removeClass("selected");//选中的样式selected
  //     }
  //   } else {
  //     item[i + 1] = $(".blockList>div:nth-child(" + (i + 1) + ")").offset().top;
  //     if (sTop >= item[i + 1] - 100) {
  //       $nav.eq(i).addClass("selected").siblings("li").removeClass("selected");
  //     }
  //   }
  // }
})

/**
 * 头部四个标题点击事件
 */

$(".top")
  .children()
  .click(function () {
    $(".top").children().removeClass("cycle")
    $(this).addClass("cycle")
  })

$(".yuanxing").click(function (e) {
  $(".yuanxing").removeClass("yuan")
  $(e.target).addClass("yuan")
})

// 农村房屋隐患排查整治按钮
// $(".xianshi ul li")
//   .click(function (e) {
//     $(".xianshi ul li").removeClass("color")
//     $(e.target).addClass("color")
//     if (e.target.innerText == "所有农村房屋排查录入率") {
//       $(".echart63").parent().css("display", "block")
//       $(".echart65").parent().css("display", "none")
//       $(".echart64").parent().css("display", "none")
//       $(".echart63").css("display", "block")
//       $(".echart64").css("display", "none")
//       $(".echart65").css("display", "none")
//     } else if (e.target.innerText == "初判不安全的农村房屋鉴定率") {
//       $(".echart65").parent().css("display", "block")
//       $(".echart63").parent().css("display", "none")
//       $(".echart64").parent().css("display", "none")
//       $(".echart65").css("display", "block")
//       $(".echart64").css("display", "none")
//       $(".echart63").css("display", "none")
//     } else {
//       $(".echart63").parent().css("display", "none")
//       $(".echart65").parent().css("display", "none")
//       $(".echart64").parent().css("display", "block")
//       $(".echart64").css("display", "block")
//       $(".echart63").css("display", "none")
//       $(".echart65").css("display", "none")
//     }
//   })

// 省级样板分布按钮
$(".provinceType")
  .children()
  .click(function (e) {
    $(".provinceType").children().removeClass("color")
    $(e.target).addClass("color")
    if (e.target.innerText == "省级样板城镇分布") {
      $(".echart05").css("display", "block")
      $(".echart055").css("display", "none")
    } else {
      $(".echart05").css("display", "none")
      $(".echart055").css("display", "flex")
    }
  })

// 页面加载前
window.onload = function () {
  $(".top :first-child").addClass("cycle")

  // 省级样板分布添加背景色
  $(".provinceType").children().eq(0).addClass("provinceTypeColor")

  /**
   * 所有a标签设置blank跳转
   */
  // $("a").attr("target", "blank")
}

// 省级样板分布按钮事件
$(".provinceType")
  .children()
  .click(function (e) {
    $(".provinceType").children().removeClass("provinceTypeColor")
    $(e.target).addClass("provinceTypeColor")
  })

// 发起请求获取地图
var myChart05 = echarts.init(document.querySelector(".echart05"))
var myChart055 = echarts.init(document.querySelector(".echart055"))

// var quotaCode3 = "Q249971129640398848"
// let baseUrl = "https://sznbs.ningbo.gov.cn:89/nbszhjkzz/tojcms/getQuotaByTaksIdOrQuotaCode.do?parentQuotaCode="
// var url3 = baseUrl + quotaCode3 + "&systemName=government"
var url3 = "http://118.178.224.202:8024/api/custom-settlements"
var d = []

$.get(url3, function (data) {
  d = data.data
  let arryshen = []
  let arryshi = []
  let regionsshen = []
  let regionsshi = []
  let shen = 0
  let shi = 0
  d.forEach(function (item) {
    arryshen.push({
      name: item.area,
      value: item.provincialTown
    })
    arryshi.push({
      name: item.area,
      value: item.municipalTown
    })
    regionsshen.push({
      name: item.area,
    })
    regionsshi.push({
      name: item.area,
    })
    shen += item.provincialTown
    shi += item.municipalTown
  })
  $('#shenjybcz').empty().append(shen)
  $('#shijybcz').empty().append(shi)
  $.get("https://sznbs.ningbo.gov.cn:89/szzf/zdrw/fj_zhujianjun/330200_full.json", function (mapJson) {

    echarts.registerMap("宁波市", mapJson)
    var option05 = {
      title: {
        text: "",
        x: "left",
      },

      tooltip: {
        trigger: "item",
        formatter: "{b} {c}",
        // formatter: function(params, ticket, callback) {
        //   //回调函数，参数params具体格式参加官方API
        //   //鼠标放到某个地市上，显示这个地市的名称加人口数
        //   //例如 params.name：当前地市名称。params.value：你传入的json数据与当前地市匹配的一项。
        //   //params.data.value:你传入的json数据与当前地市匹配的一项中'value'对应的数据
        //   if (params.data !== undefined) {
        //     // return params.name + ":" + params.data.value + "公里";
        //     let currentValue = d[params.dataIndex]["currentValue"]
        //     let targetValue = d[params.dataIndex]["targetValue"]
        //     return (
        //       params.name +
        //       " 进度：" +
        //       parseFloat((currentValue / targetValue) * 100).toFixed(0) +
        //       "%，已完成" +
        //       currentValue +
        //       "km,目标:" +
        //       targetValue +
        //       "km"
        //     )
        //   }
        // },
      },
      visualMap: {
		   show:false, 
        type: "continuous", // 定义为连续型 visualMap
        min: 0,
        max: 200,
        range: [0, 200],
        inRange: {
          color: ["#B2CAE0", "#45A5F8"],
        },
        text: ["高", "低"],
        // backgroundColor: "#78BDFC",
        calculable: false,
        bottom: 80,
      },

      geo: {
        map: "宁波市",
        roam: false, //不开启缩放和平移
        zoom: 1.23, //视角缩放比例

        label: {
          show: false,
          // normal: {
          //   show: false,
          //   fontSize: "10",
          //   color: "#ABC4DD",
          // },
        },

        itemStyle: {
          areaColor: "#8BCCFE",
          emphasis: {
            areaColor: "#FFE74F",
            color: "#FFE74F",
          },
          // normal: {
          //   borderColor: "rgba(0, 0, 0, 0.2)",
          // },

          // emphasis: {
          //   areaColor: "#ccc", //鼠标选择区域颜色
          //   shadowOffsetX: 0,
          //   shadowOffsetY: 0,
          //   shadowBlur: 20,
          //   borderWidth: 0,
          //   shadowColor: "rgba(0, 0, 0, 0.5)",
          // },
        },
        // data:this.dataList

        regions: regionsshen,
      },
      series: [
        {
          // name: "省级样板城镇分布",
          mapType: "宁波市",
          type: "map",
          //map: '宁波市',//要和echarts.registerMap（）中第一个参数一致
          label: {
            show: true,
          },

          geoIndex: 0,
          data: arryshen,
        },
      ],
    }

    myChart05.setOption(option05)

    echarts.registerMap("宁波市", mapJson)
    var option055 = {
      title: {
        text: "",
        x: "left",
      },
      label: {
        show: false,
      },
      tooltip: {
        trigger: "item",
        formatter: "{b} {c}",
        // formatter: function(params, ticket, callback) {
        //   //回调函数，参数params具体格式参加官方API
        //   //鼠标放到某个地市上，显示这个地市的名称加人口数
        //   //例如 params.name：当前地市名称。params.value：你传入的json数据与当前地市匹配的一项。
        //   //params.data.value:你传入的json数据与当前地市匹配的一项中'value'对应的数据
        //   if (params.data !== undefined) {
        //     // return params.name + ":" + params.data.value + "公里";
        //     let currentValue = d[params.dataIndex]["currentValue"]
        //     let targetValue = d[params.dataIndex]["targetValue"]
        //     return (
        //       params.name +
        //       " 进度：" +
        //       parseFloat((currentValue / targetValue) * 100).toFixed(0) +
        //       "%，已完成" +
        //       currentValue +
        //       "km,目标:" +
        //       targetValue +
        //       "km"
        //     )
        //   }
        // },
      },
      visualMap: {
		show:false, 
        type: "continuous", // 定义为连续型 visualMap
        min: 0,
        max: 200,
        range: [0, 200],
        inRange: {
          color: ["#B2CAE0", "#45A5F8"],
        },
        text: ["高", "低"],
        // backgroundColor: "#78BDFC",
        calculable: true,
        bottom: 80,
      },

      geo: {
        map: "宁波市",
        roam: false, //不开启缩放和平移
        zoom: 1.23, //视角缩放比例
        itemStyle: {
          areaColor: "#B2CAE0",
          emphasis: {
            areaColor: "#FFE74F",
          },
        },

        regions: regionsshi,
      },
      series: [
        {
          mapType: "宁波市",
          type: "map",
          //map: '宁波市',//要和echarts.registerMap（）中第一个参数一致
          label: {
            show: false,
          },
          geoIndex: 0,
          data: arryshi,
        },
      ],
    }

    myChart055.setOption(option055)
  })
})

// 建设10个省级和10个市级美丽城镇
// Area：地区 Year：年份 Target：目标 Overtime：完成时间 Status ：当前状态
/* var tabledata = []
var urban = "http://118.178.224.202:8024/api/urban-build"
$.get(urban, function (data) {
  console.log("得到的信息是是是",data)
  tabledata = data.data
  let result = ''
  let countTarget = 0
  for (var i = 0; i < tabledata.length; i++) {
    result += `<tr><td>${tabledata[i].area}</td><td>${tabledata[i].target}</td><td>${tabledata[i].overtime.substring(0, 10)}</td><td>${tabledata[i].status}</td></tr>`;
    countTarget += tabledata[i].target
  }
  $("#tb").empty().append(result)
  $("#countTarget1").empty().append(countTarget)
  $("#countTarget2").empty().append(countTarget)
})
 */


var taskId2 = '236777353581166592';
var quotaCode2 = 'Q249968345167802368';
//  var url2 = 'https://sznbs.ningbo.gov.cn:89/nbszhjkzz/tojcms/getQuotaByTaksIdOrQuotaCode.do?parentQuotaCode=' + quotaCode2 + '&systemName=government';

var url2 = 'https://szzf.nbjs.gov.cn:8050/api/Rural_vitalization/GetProvincialBeautifulTown?parentQuotaCode=' + quotaCode2 + '&systemName=government';

console.log(url2)


